Package wx :: Package lib :: Module plot :: Class PolyPoints

[frames | no frames]

## Class PolyPoints

Known Subclasses:
  `PolyLine`, `PolyMarker`

Base Class for lines and markers - All methods are private.

Method Summary
| `__init__(self, points, attr)`
| `__getattr__(self, name)`
| `boundingBox(self)`
| ``getClosestPoint`(self, pntXY, pointScaled)` Returns the index of closest point on the curve, pointXY, scaledXY, distance x, y in user coords if pointScaled == True based on screen coords if pointScaled == False based on user coords
| `getLegend(self)`
| `log10(self, data, ind)`
| `scaleAndShift(self, scale, shift)`
| `setLogScale(self, logscale)`

Method Details

### getClosestPoint(self, pntXY, pointScaled=True)

Returns the index of closest point on the curve, pointXY, scaledXY, distance x, y in user coords if pointScaled == True based on screen coords if pointScaled == False based on user coords

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:50 2007 | http://epydoc.sf.net